Memobird North America Help Center

            Is Memobird G2 North American Version compatible with my phone?

            Memobird G2 North American Version is compatible with phones that have an iOS 8 & newer, Android 5.0 & newer.

            Please be aware that Memobird does not support 5Ghz Wi-Fi and Wi-Fi network that requires an account login. Therefore, please switch your phone to 2.4Ghz Wi-Fi.


            Updated: 26 Feb 2019 05:37 PM
            Helpful?  
            Help us to make this article better
            7 10
            2 Comments